#region Automated Server Staff Acknowledgements
//Completely Automated Staff Team - By Tresdni - Please leave this header :)  I worked hard on this system!
//Gump Design By: A.A.R
#endregion Edited By: A.A.R

using System;
using System.Collections;
using System.Collections.Generic;
using System.IO;
using System.Text;
using Server;
using Server.Targeting;
using Server.ContextMenus;
using Server.Gumps;
using Server.Items;
using Server.Commands;
using Server.Misc;
using Server.Network;
using Server.Spells;
using Server.Accounting;

namespace Server.Gumps
{
    public class StaffKeywords : Gump
    {                
        Mobile caller;
        public static void Initialize()
        {         
            Commands.CommandSystem.Register("StaffKeywords", AccessLevel.GameMaster, new CommandEventHandler(StaffKeywords_OnCommand));        
        }

        [Usage("StaffKeywords")]
        [Description("Makes A Call To Your Custom Gump.")]
        public static void StaffKeywords_OnCommand(CommandEventArgs e)
        {
            e.Mobile.SendGump(new StaffKeywords());
        }

        public StaffKeywords() : base( 0, 0 )
        {
            this.Closable=true;
			this.Disposable=true;
			this.Dragable=true;
			this.Resizable=false;

            #region StaffKeywords Gump Configuration

			AddPage(0);
			AddBackground(512, 106, 231, 377, 9200);
			AddItem(708, 105, 6917);
			AddItem(704, 456, 6913);
			AddImage(462, 210, 10400);
			AddButton(721, 332, 22150, 22151, 0, GumpButtonType.Reply, 0);
			AddItem(507, 455, 6914);
			AddItem(505, 106, 6916);
			AddItem(521, 352, 6920);
			AddBackground(532, 119, 199, 352, 9390);
			AddAlphaRegion(562, 159, 140, 272);
			AddHtml( 568, 166, 129, 259, @"
> skillcap
> statcap
> stuck
> donate
> playguide
> skills
> bestiary
> report staff
> website
> suggestion
> hiring
> report player", (bool)true, (bool)true);
            AddLabel(572, 122, 695, @"STAFF KEYWORDS");
            AddLabel(580, 449, 0, @"SHADOWS EDGE");
            AddImage(711, 227, 10411);
        }

            #endregion Edited By: A.A.R

        public override void OnResponse(NetState sender, RelayInfo info)
        {
            Mobile from = sender.Mobile;

            switch(info.ButtonID)
            {
                case 0:
				{
                    from.CloseGump(typeof(StaffKeywords));

					break;
				}
            }
        }
    }
}