#region Automated Server Staff Acknowledgements
//Completely Automated Staff Team - By Tresdni - Please leave this header :)  I worked hard on this system!
//Gump Design By: A.A.R
#endregion Edited By: A.A.R

using System;
using System.Collections;
using System.Collections.Generic;
using System.IO;
using System.Text;
using Server;
using Server.Targeting;
using Server.ContextMenus;
using Server.Gumps;
using Server.Items;
using Server.Commands;
using Server.Misc;
using Server.Network;
using Server.Spells;
using Server.Accounting;

namespace Server.Gumps
{
    public class Suggestion : Gump
    {
        Mobile caller;
        public static void Initialize()
        {
            Commands.CommandSystem.Register("Suggestion", AccessLevel.GameMaster, new CommandEventHandler(Suggestion_OnCommand));
        }

        [Usage("Suggestion")]
        [Description("Makes A Call To Your Custom Gump.")]
        public static void Suggestion_OnCommand(CommandEventArgs e)
        {
            e.Mobile.SendGump(new Suggestion());
        }

        public Suggestion() : base( 0, 0 )
        {
            this.Closable=true;
			this.Disposable=true;
			this.Dragable=true;
			this.Resizable=false;

			AddPage(0);
			AddBackground(87, 140, 473, 318, 9200);
			AddItem(82, 430, 6914);
			AddItem(521, 431, 6913);
			AddItem(95, 356, 6920);
			AddItem(525, 139, 6917);
			AddItem(80, 140, 6916);
			AddBackground(106, 155, 442, 289, 9390);
			AddAlphaRegion(132, 195, 390, 209);
            AddTextEntry(139, 204, 377, 192, 0, (int)Buttons.TextEntry1, @"");
			AddImage(37, 221, 10400);
			AddImage(528, 235, 10411);
			AddButton(538, 338, 22150, 22151, (int)Buttons.Button3, GumpButtonType.Reply, 0);
			AddLabel(273, 158, 695, @"SUGGESTION BOX");
			AddLabel(276, 423, 0, @"SHADOWS EDGE");
			AddButton(447, 423, 12009, 12010, (int)Buttons.Button4, GumpButtonType.Reply, 0);		
        }

        public enum Buttons
		{
			Button3,
			Button4,
            TextEntry1,
		}

        public override void OnResponse(Server.Network.NetState sender, RelayInfo info)
        {
            Mobile from = sender.Mobile;
            Account acct = (Account)from.Account;

            switch(info.ButtonID)
            {
                case (int)Buttons.Button3:
				{
                    from.CloseGump(typeof(Suggestion));
                    from.SendMessage("You decide not to send a suggestion.");
					break;
				}

				case (int)Buttons.Button4:
				{

                   string submit = (string)info.GetTextEntry((int)Buttons.TextEntry1).Text;

                   Console.WriteLine("");
                   Console.WriteLine("{0} From Account {1} Sent a suggestion", from.Name, acct.Username);//from.Name of account send a suggestion
                   Console.WriteLine("");

                   if (!Directory.Exists("Suggestions")) //create directory
                        Directory.CreateDirectory("Suggestion");

                   using (StreamWriter op = new StreamWriter("Suggestion/Suggestions.txt", true))  //Suggestions get saved to this file.
                   {
                       op.WriteLine("");
                       op.WriteLine("Name Of Character: {0}, Account:{1}", from.Name, acct.Username);
                       op.WriteLine("Message: {0}", submit);
                       op.WriteLine("");
                   }

                   from.SendMessage("Your suggestions mean a lot to us, thank you for the input!");//thanks to send your suggestion			
				   break;
				}
            }
        }
    }
}